Get Skill Templates
curl --request GET \
--url https://control-plane.kubiya.ai/api/v1/skills/templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://control-plane.kubiya.ai/api/v1/skills/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://control-plane.kubiya.ai/api/v1/skills/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Reference
Get Skill Templates
Get detailed skill templates with variants and configuration schemas.
This endpoint returns all available skill templates including their variants, configuration schemas, default values, and available runners for workflow executor skills. Useful for UI forms and skill creation.
GET
/
api
/
v1
/
skills
/
templates
Get Skill Templates
Authorizations
Enter your Kubiya API token (format: Bearer )
Response
200 - application/json
Successful Response
Was this page helpful?
⌘I